Crystal Space: iFrustumView Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFrustumView Struct Reference
[Visibility]

This structure represents all information needed for the frustum visibility calculator. More...

`#include <iengine/fview.h>`

Inheritance diagram for iFrustumView:

[legend]
List of all members.

## Public Member Functions
virtual void | CallObjectFunction (iMeshWrapper *mesh, bool vis)=0
| Call the object function.
virtual bool | CheckProcessMask (unsigned int mask)=0
| Check if a mask corresponds with the process mask.
virtual bool | CheckShadowMask (unsigned int mask)=0
| Check if a mask corresponds with the shadow mask.
virtual csFrustumContext * | CopyFrustumContext ()=0
| Create a copy of the current frustum context and return it.
virtual void | CreateFrustumContext ()=0
| Create a new frustum context.
virtual csFrustumContext * | GetFrustumContext () const =0
| Get the current frustum context.
virtual float | GetRadius () const =0
| Get the radius.
virtual float | GetSquaredRadius () const =0
| Get the squared radius.
virtual iFrustumViewUserdata * | GetUserdata ()=0
| Get userdata.
virtual void | RestoreFrustumContext (csFrustumContext *original)=0
| Restore a frustum context.
virtual void | SetFrustumContext (csFrustumContext *ctxt)=0
| This function is similar to CreateFrustumContext() but it sets the given frustum context instead.
virtual void | SetObjectFunction (csFrustumViewObjectFunc *func)=0
| Set the object function.
virtual void | SetUserdata (iFrustumViewUserdata *data)=0
| Set or clear userdata.
virtual void | StartNewShadowBlock ()=0
| Start new shadow list for this frustum.

## Detailed Description

This structure represents all information needed for the frustum visibility calculator.

Definition at line 144 of file fview.h.

## Member Function Documentation

virtual void iFrustumView::CallObjectFunction | ( | iMeshWrapper * | mesh,
|  | bool | vis |
| ) |  |  | `[pure virtual]`

Call the object function.

virtual bool iFrustumView::CheckProcessMask | ( | unsigned int | mask | ) | `[pure virtual]`

Check if a mask corresponds with the process mask.

virtual bool iFrustumView::CheckShadowMask | ( | unsigned int | mask | ) | `[pure virtual]`

Check if a mask corresponds with the shadow mask.

virtual csFrustumContext* iFrustumView::CopyFrustumContext | ( |  | ) | `[pure virtual]`

Create a copy of the current frustum context and return it.

This can be used to later put it back. Use SetFrustumContext() for this.

virtual void iFrustumView::CreateFrustumContext | ( |  | ) | `[pure virtual]`

Create a new frustum context.

This is typically used when going through a portal. Note that you should remember the old frustum context if you want to restore it later. The frustum context will get all the values from the current context (with SCF references properly incremented).

virtual csFrustumContext* iFrustumView::GetFrustumContext | ( |  | ) | const`[pure virtual]`

Get the current frustum context.

virtual float iFrustumView::GetRadius | ( |  | ) | const`[pure virtual]`

Get the radius.

virtual float iFrustumView::GetSquaredRadius | ( |  | ) | const`[pure virtual]`

Get the squared radius.

virtual iFrustumViewUserdata* iFrustumView::GetUserdata | ( |  | ) | `[pure virtual]`

Get userdata.

virtual void iFrustumView::RestoreFrustumContext | ( | csFrustumContext * | original | ) | `[pure virtual]`

Restore a frustum context.

Use this to restore a previously overwritten frustum context. This function will take care of properly cleaning up the current frustum context.

virtual void iFrustumView::SetFrustumContext | ( | csFrustumContext * | ctxt | ) | `[pure virtual]`

This function is similar to CreateFrustumContext() but it sets the given frustum context instead.

Also restore with RestoreFrustumContext().

virtual void iFrustumView::SetObjectFunction | ( | csFrustumViewObjectFunc * | func | ) | `[pure virtual]`

Set the object function.

virtual void iFrustumView::SetUserdata | ( | iFrustumViewUserdata * | data | ) | `[pure virtual]`

Set or clear userdata.

virtual void iFrustumView::StartNewShadowBlock | ( |  | ) | `[pure virtual]`

Start new shadow list for this frustum.

The documentation for this struct was generated from the following file:

- iengine/fview.h